<?php
/*
Plugin Name: Featured Image Lightbox
Description: A plugin that links the featured image to a lightbox for posts & pages only. Works well with Lightbox with PhotoSwipe for example.
Version: 1.0
Author: Virtualtopia (https://virtualtopia.com)
*/

function custom_featured_image_lightbox($html, $post_id, $post_thumbnail_id, $size, $attr) {
    // Check if $html is empty or not a single post/page
    if (empty($html) || !is_singular()) {
        return $html;
    }

    $image_src = wp_get_attachment_image_src($post_thumbnail_id, 'full');

    if ($image_src) {
        $image_url = $image_src[0];
        $image_title = get_the_title($post_thumbnail_id);
        $html = '<a href="' . esc_url($image_url) . '" title="' . esc_attr($image_title) . '" class="featured-image-lightbox">' . $html . '</a>';
    }

    return $html;
}

function custom_featured_image_lightbox_init() {
    add_filter('post_thumbnail_html', 'custom_featured_image_lightbox', 10, 5);
}

add_action('init', 'custom_featured_image_lightbox_init');
